Zum Inhalt

Get contactBusinessRelation

Retrieve the properties and relationships of a contact business relation object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/contactBusinessRelationsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a contactBusinessRelation object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/contactBusinessRelationsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "f004383f-dcd8-ed11-a7cd-000d3a392f9f",
    "contactNumber": "KT000001",
    "contactName": "Hamburgische Staatsbank",
    "linkToTable": "Bank Account",
    "linkToNumber": "HBL"
}

See also

Tips for working with the APIs
Contact Business Relation